export declare class TextInterface {
    listener: ((arg0: string) => void) | null;
    outputAnimationLength: number;
    outputDelay: number;
    shouldStealFocus: boolean;
    private outputQueue;
    private div;
    private inputEl;
    private outputEl;
    private placeholderEl;
    private inputWrap;
    private outputting;
    constructor(element?: HTMLElement, title?: string);
    setTitle(text: string): void;
    clear(): void;
    readChoice(choices: string[], prompt?: string, error?: string): Promise<string>;
    readYesOrNo(errorMessage?: string): Promise<boolean>;
    readNumber(errorMessage?: string): Promise<number>;
    readText(): Promise<string>;
    showElement(element: HTMLElement): void;
    showHTML(arbitraryHTML: string): void;
    showImage(src: string, alt?: string): void;
    output(text: string, echo?: boolean): void;
    private doNextOutput;
    private setupInputListener;
}
